*-------------------------------------------------------------------
*
*     SOMALI HIGH FREQUENCY 
*     SURVEY
*     
*     This file contains the sequence of do-files
*     written to carry out the poverty analysis
*     
*                         
*-------------------------------------------------------------------

clear all
set more off
set maxvar 10000

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}

*Clean the consumption datasets
run "${gsdDo}/1-2-clean_fcons.do"
run "${gsdDo}/1-3-clean_nonfcons.do"
run "${gsdDo}/1-4-clean_assets.do"

*Clean household member dataset
run "${gsdDo}/1-5-clean_hhm_educ_labor.do"

*Produce consumption aggregates, deflator and imputation 
run "${gsdDo}/1-6-1-consaggr_deflator.do"
run "${gsdDo}/1-6-2-consaggr_imputation.do"

*Clean household level dataset, integrate aggregates from previous cleaning files
run "${gsdDo}/1-7-clean_hh.do" 

*Create descriptive statistics for all the different topics 
run "${gsdDo}/2-1-analysis.do" 
